/// <reference types="express" />
import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { Request } from '@loopback/rest';
import { AdsManagement } from '../models';
import { AdsManagementRepository } from '../repositories';
export declare class AdsManagementController {
    adsManagementRepository: AdsManagementRepository;
    constructor(adsManagementRepository: AdsManagementRepository);
    createWithFile(request: Request, response: any): Promise<AdsManagement>;
    count(where?: Where<AdsManagement>): Promise<Count>;
    find(filter?: Filter<AdsManagement>): Promise<AdsManagement[]>;
    findById(id: number, filter?: FilterExcludingWhere<AdsManagement>): Promise<AdsManagement>;
    updateByIdWithFile(id: number, request: Request, response: any): Promise<void>;
    deleteById(id: number): Promise<void>;
    softDeleteAd(id: number): Promise<void>;
}
